{% extends "layout.html" %}
{% block title %}Profile{% endblock %}
{% block section %}Profile{% endblock %}
{% block content %}
      <!-- Default box -->
      <div class="row">
        <div class="col-md-3">
          <!-- Profile Image -->
          <div class="box">
            <div class="box-body box-profile">
              <img class="profile-user-img img-responsive img-circle" src="/static/images/{{ current_user.avatar }}" alt="User profile picture">
              <h3 class="profile-username text-center">{{ current_user.first_name }} {{ current_user.last_name }}</h3>
              <p class="text-muted text-center">{{ current_user.username }}</p>

              <form method=post action="/manager/profile/picture" enctype=multipart/form-data>
                <input type="hidden" name="csrf_token" value="{{ csrf_token() }}"/>
                <label class="custom-file">
                  <input type="file" id="file" name=file class="custom-file-input">
                  <span class="custom-file-control"></span>
                </label>
                <button type="submit" class="btn bg-{{ current_app.config.APPLICATION_SKIN_COLOR }} btn-block"><b>Change Profile Picture</b></button>
               </form>
            </div>
            <!-- /.box-body -->
          </div>
          <!-- /.box -->
        </div>
        <!-- /.col -->
        <div class="col-md-9">
          <div class="box box-default">
            <div class="box-header with-border">
              <h3 class="box-title">Update Details</h3>
            </div>
            <!-- /.box-header -->
            <form action="/manager/profile" method="post">
              <input type="hidden" name="csrf_token" value="{{ csrf_token() }}"/>
              <div class="box-body">
                <div class="row">
                  <div class="col-md-6">
                    <fieldset disabled>
                      <div class="form-group">
                        <label for="username">Username</label>
                        <input type="text" class="form-control" id="username" name="username" value="{{ current_user.username }}">
                      </div>
                    </fieldset>
                    {% if current_app.config.LDAP == True %}
                        <fieldset disabled>
                            <div class="form-group">
                              <label for="first_name">First Name</label>
                              <input type="text" class="form-control" id="first_name" name="first_name" value="{{ current_user.first_name }}">
                            </div>
                        </fieldset>
                    {% else %}
                      <div class="form-group">
                          <label for="first_name">First Name</label>
                          <input type="text" class="form-control" id="first_name" name="first_name" value="{{ current_user.first_name }}">
                      </div>
                    {% endif %}
                    {% if current_app.config.LDAP == True %}
                        <fieldset disabled>
                            <div class="form-group">
                              <label for="email">Email</label>
                              <input type="email" class="form-control" id="email" name="email" value="{{ current_user.email }}">
                            </div>
                        </fieldset>
                    {% else %}
                        <div class="form-group">
                          <label for="email">Email</label>
                          <input type="email" class="form-control" id="email" name="email" value="{{ current_user.email }}">
                        </div>
                    {% endif %}
                    <div class="form-group">
                      <div class="checkbox">
                        <label>
                          {% if current_user.email_alert == True %}
                            <input type="checkbox" name="email_alerts" value="1" checked> Receive E-Mail Alerts
                          {% else %}
                            <input type="checkbox" name="email_alerts" value="1"> Receive E-Mail Alerts
                          {% endif %}
                        </label>
                      </div>
                    </div>
                    <div class="form-group">
                      <div class="checkbox">
                        <label>
                          {% if current_user.sms_alert == True %}
                            <input type="checkbox" name="sms_alerts" value="1" checked> Receive SMS Alerts
                          {% else %}
                            <input type="checkbox" name="sms_alerts" value="1"> Receive SMS Alerts
                          {% endif %}
                        </label>
                      </div>
                    </div>
                    <div class="form-group">
                      <div class="checkbox">
                        <label>
                          {% if current_user.pushbullet_alert == True %}
                            <input type="checkbox" name="pushbullet_alert" value="1" checked> Receive Pushbullet Alerts
                          {% else %}
                            <input type="checkbox" name="pushbullet_alert" value="1"> Receive Pushbullet Alerts
                          {% endif %}
                        </label>
                      </div>
                    </div>
                  </div>
                  <!-- /.col -->
                  <div class="col-md-6">
                    <fieldset disabled>
                      <div class="form-group">
                        <label for="role">Role</label>
                        <input type="text" class="form-control" id="role" name="role" value="{{ current_user.role }}">
                      </div>
                    </fieldset>
                    {% if current_app.config.LDAP == True %}
                        <fieldset disabled>
                            <div class="form-group">
                              <label for="last_name">Last Name</label>
                              <input type="text" class="form-control" id="last_name" name="last_name" value="{{ current_user.last_name }}">
                            </div>
                        </fieldset>
                    {% else %}
                        <div class="form-group">
                          <label for="last_name">Last Name</label>
                          <input type="text" class="form-control" id="last_name" name="last_name" value="{{ current_user.last_name }}">
                        </div>
                    {% endif %}
                    {% if current_app.config.LDAP == True %}
                      <fieldset disabled>
                        <div class="form-group">
                          <label for="phone">Phone Number</label>
                          <input type="tel" class="form-control" id="phone" name="phone" value="{{ current_user.phone }}">
                        </div>
                      </fieldset>
                    {% else %}
                        <div class="form-group">
                          <label for="phone">Phone Number</label>
                          <input type="tel" class="form-control" id="phone" name="phone" value="{{ current_user.phone }}">
                        </div>
                    {% endif %}
                        <div class="form-group">
                          <label for="pushbullet_key">Pushbullet Key</label>
                          <input type="tel" class="form-control" id="pushbullet_key" name="pushbullet_key" value="{{ current_user.pushbullet_key }}">
                        </div>
                  </div>
                  <!-- /.col -->
                </div>
                <!-- /.row -->
              </div>
              <!-- /.box-body -->
              <div class="box-footer">
                <button type="submit" class="btn bg-{{ current_app.config.APPLICATION_SKIN_COLOR }} pull-right">Submit</button>
              </div>
            </form>
          </div>
          <!-- /.nav-tabs-custom -->
        </div>
        <!-- /.col -->
      </div>

{% endblock %}

{% block jquery %}
{{ super() }}
    <script>
      $custom-file-text: (
      placeholder: (
        en: "Choose Picture"
      ),
      button-label: (
        en: "Browse"
      )
    );
    </script>
</body>
</html>
{% endblock %}